IncludeJavascript("lang_en.js");
IncludeJavascript("lang_se.js");
//-----------------------------------------------------------------------
// LoadCurrentLanguage
//-----------------------------------------------------------------------
function LoadCurrentLanguage() {
  var language = ""; 
  language = GetProperty("CONFIG:Language:Current");
  if ((language == "Svenska") || (language == "Svenska (SAMSET)"))
    language = "SE";
  else
    language = "EN";
  top.head.g_Language = language;
  return language;
}
//-----------------------------------------------------------------------
// GetCurrentLanguage
//-----------------------------------------------------------------------
function GetCurrentLanguage()
{
  if (top.head.g_Language == "")
    LoadCurrentLanguage();
  return top.head.g_Language;
}
//-----------------------------------------------------------------------
// GetString
//-----------------------------------------------------------------------
function GetString(value)
{
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetString_SE(value);
  else
    value = GetString_EN(value);
  return value;
}
//-----------------------------------------------------------------------
// GetButtonString
//-----------------------------------------------------------------------
function GetButtonString(value)
{
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetButtonString_SE(value);
  else
    value = GetButtonString_EN(value);
  return value;
}
//-----------------------------------------------------------------------
// GetErrorString
//-----------------------------------------------------------------------
function GetErrorString(value, rc)
{
  var err = "";
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetErrorString_SE(value);
  else
    value = GetErrorString_EN(value);
  if (rc == 0)
    err = "";
  else if (rc > 0)
    err = GetProperty("Error" + rc);
  else
    err = rc;
  if (err != "")
    value = value + " (" + err + ")";
  return value;
}
//-----------------------------------------------------------------------
// GetInformationString
//-----------------------------------------------------------------------
function GetInformationString(value)
{
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetInformationString_SE(value);
  else
    value = GetInformationString_EN(value);
  return value;
}
//-----------------------------------------------------------------------
// GetConfirmString
//-----------------------------------------------------------------------
function GetConfirmString(value)
{
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetConfirmString_SE(value);
  else
    value = GetConfirmString_EN(value);
  return value;
}
//-----------------------------------------------------------------------
// GetStringWithParam
//-----------------------------------------------------------------------
function GetStringWithParam(value, param)
{
  var language = GetCurrentLanguage();
  if (language == "SE")
    value = GetStringWithParam_SE(value, param);
  else
    value = GetStringWithParam_EN(value, param);
  return value;
}
